Solved

Samba server to to use PDC for authentication.

Posted on 2001-09-04
3
299 Views
Last Modified: 2013-12-16

Could anyone tell me what changes I need to make in /usr/local/samba/smb.conf file (Solaris machine) to make the samba server direct the clients to use windows PDC server for user authentication?

Thanks
samy
0
Comment
Question by:muthusamy
3 Comments
 
LVL 40

Accepted Solution

by:
jlevie earned 20 total points
ID: 6455165
You'll still need a Unix account for each person, but you can authenticate against an NT PDC by adding:

encrypt passwords = Yes
security = server
password server = "NetBIOS_name_of_PDC"

to your smb.conf. Alternatively you can make the Samba server a member of the NT Domain with:

encrypt passwords = Yes
security = domain
workgroup = "name of NT domain"
password server = *

Like any other member of an NT security domain you must create a workstation account in the domain and you need to execute:

smbpasswd -r PDC_NAME -j DOMAIN_NAME

to join the domain. You can find out more details about the above in section 2.5 of the Samba HowTo ( http://us3.samba.org/samba/docs/Samba-HOWTO-Collection.html)

0
 
LVL 9

Expert Comment

by:majorwoo
ID: 8433103
No comment has been added lately, so it's time to clean up this TA.
I will leave a recommendation in the Cleanup topic area to:
Accept jlevie's answer
Please leave any comments here within the next seven days.
 
PLEASE DO NOT ACCEPT THIS COMMENT AS AN ANSWER!
 
majorwoo
EE Cleanup Volunteer
0
 

Expert Comment

by:SpideyMod
ID: 8617643
per recommendation

SpideyMod
Community Support Moderator @Experts Exchange
0

Featured Post

The Eight Noble Truths of Backup and Recovery

How can IT departments tackle the challenges of a Big Data world? This white paper provides a roadmap to success and helps companies ensure that all their data is safe and secure, no matter if it resides on-premise with physical or virtual machines or in the cloud.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Suggested Solutions

This is the error message I got (CODE) Error caused by incompatible libmp3lame 3.98-2 with ffmpeg I've googled this error message and found out sometimes it attaches this note "can be treated with downgrade libmp3lame to version 3.97 or 3.98" …
Join Greg Farro and Ethan Banks from Packet Pushers (http://packetpushers.net/podcast/podcasts/pq-show-93-smart-network-monitoring-paessler-sponsored/) and Greg Ross from Paessler (https://www.paessler.com/prtg) for a discussion about smart network …
Learn how to navigate the file tree with the shell. Use pwd to print the current working directory: Use ls to list a directory's contents: Use cd to change to a new directory: Use wildcards instead of typing out long directory names: Use ../ to move…
Get a first impression of how PRTG looks and learn how it works.   This video is a short introduction to PRTG, as an initial overview or as a quick start for new PRTG users.

830 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question